xrdp-keygen(8)

NAME
xrdp-keygen - xrdp RSA key generation utility

SYNOPSIS
xrdp-keygen xrdp < outfile | auto >
xrdp-keygen test

DESCRIPTION
xrdp-keygen generates the file @sysconfdir@/xrdp/rsakeys.ini which contains the RSA key pair used to perform authentication to remote clients. The public key is self-signed.

OPTIONS
This program takes one of the following options:

xrdp outfile
    Generate a new key pair. The key data is stored in the file named outfile.
    If auto is used as outfile, the default file @sysconfdir@/xrdp/rsakeys.ini gets created if it does not yet exists.

test
    Generate a test key pair and print information to standard output.

FILES

@sysconfdir@/xrdp/rsakeys.ini
    RSA public and private key pair used to identify this XRDP server.

SEE ALSO
xrdp(8), xrdp-sesman(8).

AUTHOR
This manual page was originally written by Vincent Bernat <bernat@luffy.cx>.